Subject: Re: More on relative pathname
From: [email-masked] (Corinna Vinschen)

13 Jan 1999 02:49:23 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Gordon Watts (Brown University)" <[email-masked]>, [email-masked]

Gordon Watts (Brown University) wrote:
> [...]
> still observe the error. I've included a small shell script below which
> demonstrates the difficulty I'm having. Perhaps I'm making a bone-headed
> unix mistake?
> [...]
> ==============
> #!/bin/sh
> 
> mkdir junk123
> cat > junk123/stuff.sh <<EOF
> #/bin/sh
> echo hi
> EOF
> 
> chmod a+x junk123/stuff.sh
> 
> PATH=./junk123:${PATH}
> export PATH
> 
> echo Will now try to run the thing
> # I get an error on this line
> stuff.sh
> ==========

This script has in fact a typo, but this didn't give any problem, it's
only a shell comment. In my cygwin environment, the complete script did,
what it should do! I'm running NT4SP3, bash is /bin/sh, either snapshot
winsup-981223 or winsup-981230, `CYGWIN=binmode ntea notty', binary mounts.

Regards,
Corinna

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".